; LED Blink - by Michael Kohn
; https://www.mikekohn.net/

.65816

.include "w65c265.inc"

.org 0x1000
start:
  ; Disable interrupts to protect from ROM routines running.
  sei

  ; Set native mode.
  clc
  xce

  ; Set A to 8-bit
  sep #0x20

  ; Set X/Y to 16-bit
  rep #0x10

main:
  lda.b #0xff
repeat:
  sta PD7
delay:
  dey
  bne delay
  eor.b #0xff
  bra repeat

